Pepperflash plugin in wheezy fix

The pepperflashplugin-nonfree package in wheezy-backports is broken, as it downloads the flash plugin from the latest chrome release and installs it. The latest release links against libc6 2.14 which is not available in wheezy.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=761184

https://lists.debian.org/debian-backports/2014/09/msg00051.html

# Check your /var/cache/pepperflashplugin-nonfree/ for cached chrome releases.
# I found google-chrome-stable_35.0.1916.153-1_amd64.deb which I used.
# If you don't have the ar command, apt-get install binutils

$ ar x google-chrome-stable_35.0.1916.153-1_amd64.deb
$ tar --lzma --extract --verbose --file data.tar.lzma
$ sudo cp opt/google/chrome/PepperFlash/libpepflashplayer.so /usr/lib/pepperflashplugin-nonfree/libpepflashplayer.so

# Restart chrome

0 comments

Start a new thread

Cancel reply
Markdown. Syntax highlighting with <code lang="php"><?php echo "Hello, world!"; ?></code> etc.